EXP(3)

NAME
log10, log10f, log10l - base-10 logarithmic function

SYNOPSIS
#include <math.h>

double log10(double x);
float log10f(float x);
long double log10l(long double x);

Link with -lm.

DESCRIPTION
The log10() function returns the base 10 logarithm of x.

ERRORS
The log10() function can return the following errors:

EDOM
    The argument x is negative.

ERANGE
    The argument x is zero. The log of zero is not defined.

CONFORMING TO
SVID 3, POSIX, 4.3BSD, ISO 9899. The float and the long double variants are C99 requirements.

SEE ALSO
cbrt(3), clog10(3), sqrt(3)